<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-bought-item-heading"
        data-cy="BoughtItemCreateUpdateHeading"
        jhiTranslate="realTimeBeveragesApp.boughtItem.home.createOrEditLabel"
      >
        Bought Item erstellen oder bearbeiten
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id" jhiTranslate="realTimeBeveragesApp.boughtItem.id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_name" jhiTranslate="realTimeBeveragesApp.boughtItem.name">Name</label>
          <input type="text" class="form-control" name="name" id="field_name" data-cy="name" formControlName="name" />
          @if (editForm.get('name')!.invalid && (editForm.get('name')!.dirty || editForm.get('name')!.touched)) {
            <div>
              @if (editForm.get('name')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
              @if (editForm.get('name')?.errors?.minlength) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.minlength" [translateValues]="{ min: '1' }"
                  >Dieses Feld muss mind. 1 Zeichen lang sein.</small
                >
              }
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_price" jhiTranslate="realTimeBeveragesApp.boughtItem.price">Price</label>
          <input type="number" class="form-control" name="price" id="field_price" data-cy="price" formControlName="price" />
          @if (editForm.get('price')!.invalid && (editForm.get('price')!.dirty || editForm.get('price')!.touched)) {
            <div>
              @if (editForm.get('price')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
              @if (editForm.get('price')?.errors?.min) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.min" [translateValues]="{ min: '0' }"
                  >Dieses Feld muss mind. 0 sein.</small
                >
              }
              <small class="form-text text-danger" [hidden]="!editForm.get('price')?.errors?.number" jhiTranslate="entity.validation.number"
                >Dieses Feld muss eine Zahl sein.</small
              >
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_boughtTime" jhiTranslate="realTimeBeveragesApp.boughtItem.boughtTime">Bought Time</label>
          <div class="d-flex">
            <input
              id="field_boughtTime"
              data-cy="boughtTime"
              type="datetime-local"
              class="form-control"
              name="boughtTime"
              formControlName="boughtTime"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
          @if (editForm.get('boughtTime')!.invalid && (editForm.get('boughtTime')!.dirty || editForm.get('boughtTime')!.touched)) {
            <div>
              @if (editForm.get('boughtTime')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
              <small
                class="form-text text-danger"
                [hidden]="!editForm.get('boughtTime')?.errors?.datetimelocal"
                jhiTranslate="entity.validation.datetimelocal"
                >Dieses Feld muss eine Datums- und Zeitangabe enthalten.</small
              >
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_billingTime" jhiTranslate="realTimeBeveragesApp.boughtItem.billingTime">Billing Time</label>
          <div class="d-flex">
            <input
              id="field_billingTime"
              data-cy="billingTime"
              type="datetime-local"
              class="form-control"
              name="billingTime"
              formControlName="billingTime"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_paidTime" jhiTranslate="realTimeBeveragesApp.boughtItem.paidTime">Paid Time</label>
          <div class="d-flex">
            <input
              id="field_paidTime"
              data-cy="paidTime"
              type="datetime-local"
              class="form-control"
              name="paidTime"
              formControlName="paidTime"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_amount" jhiTranslate="realTimeBeveragesApp.boughtItem.amount">Amount</label>
          <input type="number" class="form-control" name="amount" id="field_amount" data-cy="amount" formControlName="amount" />
          @if (editForm.get('amount')!.invalid && (editForm.get('amount')!.dirty || editForm.get('amount')!.touched)) {
            <div>
              @if (editForm.get('amount')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
              @if (editForm.get('amount')?.errors?.min) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.min" [translateValues]="{ min: '1' }"
                  >Dieses Feld muss mind. 1 sein.</small
                >
              }
              <small
                class="form-text text-danger"
                [hidden]="!editForm.get('amount')?.errors?.number"
                jhiTranslate="entity.validation.number"
                >Dieses Feld muss eine Zahl sein.</small
              >
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_offer" jhiTranslate="realTimeBeveragesApp.boughtItem.offer">Offer</label>
          <select
            class="form-control"
            id="field_offer"
            data-cy="offer"
            name="offer"
            formControlName="offer"
            [compareWith]="compareOfferedItem"
          >
            @if (!editForm.get('offer')!.value) {
              <option [ngValue]="null" selected></option>
            }
            @for (offeredItemOption of offeredItemsSharedCollection; track $index) {
              <option [ngValue]="offeredItemOption">{{ offeredItemOption.id }}</option>
            }
          </select>
        </div>
        @if (editForm.get(['offer'])!.invalid && (editForm.get(['offer'])!.dirty || editForm.get(['offer'])!.touched)) {
          <div>
            @if (editForm.get(['offer'])?.errors?.required) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
            }
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_buyer" jhiTranslate="realTimeBeveragesApp.boughtItem.buyer">Buyer</label>
          <select class="form-control" id="field_buyer" data-cy="buyer" name="buyer" formControlName="buyer" [compareWith]="compareUser">
            @if (!editForm.get('buyer')!.value) {
              <option [ngValue]="null" selected></option>
            }
            @for (userOption of usersSharedCollection; track $index) {
              <option [ngValue]="userOption">{{ userOption.id }}</option>
            }
          </select>
        </div>
        @if (editForm.get(['buyer'])!.invalid && (editForm.get(['buyer'])!.dirty || editForm.get(['buyer'])!.touched)) {
          <div>
            @if (editForm.get(['buyer'])?.errors?.required) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
            }
          </div>
        }
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Abbrechen</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Speichern</span>
        </button>
      </div>
    </form>
  </div>
</div>
